org.fourthline.cling.support.avtransport.lastchange

## Class AVTransportVariable.PossibleRecordStorageMedia

- java.lang.Object
- - org.fourthline.cling.support.lastchange.EventedValue<E[]>
  - - org.fourthline.cling.support.lastchange.EventedValueEnumArray<StorageMedium>
    - - org.fourthline.cling.support.avtransport.lastchange.AVTransportVariable.PossibleRecordStorageMedia

- Direct Known Subclasses:
    AVTransportVariable.PossiblePlaybackStorageMedia
  Enclosing class:
    AVTransportVariable

      public static class AVTransportVariable.PossibleRecordStorageMedia
      extends EventedValueEnumArray<StorageMedium>

- - ### Field Summary

    - ### Fields inherited from class org.fourthline.cling.support.lastchange.EventedValue

      `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AVTransportVariable.PossibleRecordStorageMedia(Map.Entry<String,String>[] attributes)`
    `AVTransportVariable.PossibleRecordStorageMedia(StorageMedium[] e)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected StorageMedium[]` | `enumValueOf(String[] names)`

    - ### Methods inherited from class org.fourthline.cling.support.lastchange.EventedValueEnumArray

      `getDatatype, toString, valueOf`

    - ### Methods inherited from class org.fourthline.cling.support.lastchange.EventedValue

      `getAttributes, getName, getValue, valueOf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AVTransportVariable.PossibleRecordStorageMedia

          public AVTransportVariable.PossibleRecordStorageMedia(StorageMedium[] e)

    - #### AVTransportVariable.PossibleRecordStorageMedia

          public AVTransportVariable.PossibleRecordStorageMedia(Map.Entry<String,String>[] attributes)

  - ### Method Detail

    - #### enumValueOf

          protected StorageMedium[] enumValueOf(String[] names)

      Specified by:
        `enumValueOf` in class `EventedValueEnumArray<StorageMedium>`

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.